import { expect } from 'chai';
import os from 'node:os';
import { loadFixture } from './test-utils.js';

// TODO: fix these tests on macOS
const isMacOS = os.platform() === 'darwin';

describe('<Debug />', () => {
	if (isMacOS) return;

	/** @type {import('./test-utils').Fixture} */
	let fixture;
	/** @type {import('./test-utils').DevServer} */
	let devServer;

	before(async () => {
		fixture = await loadFixture({ root: './fixtures/debug-component/' });
		devServer = await fixture.startDevServer();
	});

	after(async () => {
		await devServer.stop();
	});

	it('Works in markdown pages', async () => {
		const response = await fixture.fetch('/posts/first');
		expect(response.status).to.equal(200);
	});
});
